image: dotsunited/git-ftp

deploy_test:
  stage: build
  before_script:
    - git config git-ftp.url "sftp://$GLOBAL_URL/$GLOBAL_PATH"
    - git config git-ftp.user "$TEST_FTP_USER"
    - git config git-ftp.password "$GLOBAL_PASSWORD"
  script:
    - git ftp push --force -v --insecure
  only:
    - development

deploy_server_1:
  stage: deploy
  before_script:
    - git config git-ftp.url "sftp://$GLOBAL_URL/$GLOBAL_PATH"
    - git config git-ftp.user "$DEPLOY_1_FTP_USER"
    - git config git-ftp.password "$GLOBAL_PASSWORD"
  script:
    - git ftp push -v --insecure
  only:
    - master


deploy_server_2:
  stage: deploy
  before_script:
    - git config git-ftp.url "sftp://$GLOBAL_URL/$GLOBAL_PATH"
    - git config git-ftp.user "$DEPLOY_2_FTP_USER"
    - git config git-ftp.password "$GLOBAL_PASSWORD"
  script:
    - git ftp push -v --insecure
  only:
    - master

deploy_server_3:
  stage: deploy
  before_script:
    - git config git-ftp.url "sftp://$GLOBAL_URL/$GLOBAL_PATH"
    - git config git-ftp.user "$DEPLOY_3_FTP_USER"
    - git config git-ftp.password "$GLOBAL_PASSWORD"
  script:
    - git ftp push -v --insecure
  only:
    - master

deploy_server_4:
  stage: deploy
  before_script:
    - git config git-ftp.url "sftp://$GLOBAL_URL/$GLOBAL_PATH"
    - git config git-ftp.user "$DEPLOY_4_FTP_USER"
    - git config git-ftp.password "$GLOBAL_PASSWORD"
  script:
    - git ftp push -v --insecure
  only:
    - master